Pular para o conteúdo principal
PUT
/
v1
/
entries
/
{entryId}
Alterar entrada de chave Pix
curl --request PUT \
  --url https://plugin-pix-direct.api.lerian.net/v1/entries/{entryId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "<string>",
  "reason": 123,
  "accountOpeningDate": "<string>",
  "newAccount": "<string>",
  "newAccountType": 123,
  "newBranch": "<string>",
  "newName": "<string>",
  "newTradeName": "<string>"
}
'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/entries/{entryId}"

payload = {
"accountId": "<string>",
"reason": 123,
"accountOpeningDate": "<string>",
"newAccount": "<string>",
"newAccountType": 123,
"newBranch": "<string>",
"newName": "<string>",
"newTradeName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
reason: 123,
accountOpeningDate: '<string>',
newAccount: '<string>',
newAccountType: 123,
newBranch: '<string>',
newName: '<string>',
newTradeName: '<string>'
})
};

fetch('https://plugin-pix-direct.api.lerian.net/v1/entries/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "key": "<string>",
  "claimOpenedAt": "<string>",
  "createdAt": "<string>",
  "ownershipStartAt": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

Autenticacao por token JWT Bearer. Obtenha o token no endpoint /v1/login/oauth/access_token usando credenciais do cliente (clientId e clientSecret).

Inclua o token no header Authorization: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

O token expira apos 3600 segundos (1 hora).

Parâmetros de caminho

entryId
string
obrigatório

O valor da chave Pix (codificado em URL).

Corpo

application/json
accountId
string
obrigatório

O id da conta no CRM do dono da chave (resolve o ISPB do lado do servidor).

reason
integer<int64>
obrigatório

Motivo da alteração (0=Solicitação do cliente, 2=Transferência de agência, 6=Reconciliação, 8=Validação da Receita Federal). Chaves EVP não podem usar 0.

accountOpeningDate
string

A data/hora de abertura da nova conta (RFC3339).

newAccount
string

O novo número de conta a associar à chave.

newAccountType
integer<int64>

O novo tipo de conta (0=Checking,1=Salary,2=Savings,3=Payment,4=PI).

newBranch
string

O novo número de agência a associar à chave.

newName
string

O novo nome completo / razão social do dono.

newTradeName
string

O novo nome fantasia do dono (enviado somente para dono pessoa jurídica).

Resposta

OK

key
string
obrigatório

A chave Pix (inalterada).

claimOpenedAt
string

Quando uma reivindicação de posse/portabilidade foi aberta pela alteração (RFC3339), se houver.

createdAt
string

Quando a chave foi criada (RFC3339).

ownershipStartAt
string

Quando a titularidade da chave começou (RFC3339).